View Issue Details

IDProjectCategoryView StatusLast Update
0001608Industrial-Craft²Agriculture / crops / Boozeceptionpublic2015-07-20 18:43
ReporterGorilla_CZAssigned ToAroma1997 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformIC 723-Ex Forge 1408OSOS Version
Product Version 
Target VersionFixed in VersionBuilds for MC 1.7.10 
Summary0001608: Weed does not work.
DescriptionIm making wiki about crop for our server and i wish to show players how it looks, when Weed start spreading. I sowed little reed field and left one crop empty. Weed start growing on this place, but weed never spread and never change its empty neighbor into grass&tallgrass.
TagsNo tags attached.
Minecraft Version

Activities

Gorilla_CZ

2015-05-29 20:07

reporter   ~0003884

Last functionaly build is 677 or 678.

Gorilla_CZ

2015-05-31 10:54

reporter   ~0003885

Last edited: 2015-05-31 10:56

View 2 revisions

I think, problem may be on this line
ic2/core/crop/TileEntityCrop
+ Public Void Tick()

if ((crop.isWeed(this)) && (IC2.random.nextInt(50) - statGrowth <= 2))
      generateWeed();

Chocohead

2015-05-31 15:47

developer   ~0003888

It would be very hard for it to be less than 3 (and cause it to spread), the growth stat is going to be very low starting off. It might be intentional to just make high tier crops less OP but crops easier overall.

Gorilla_CZ

2015-05-31 17:56

reporter   ~0003889

I don't thing so. I wait more than enought to give that weed chance to spread (about 30min) but nothing happened. I chose field in jungle and in heigh 130, all field has been fertilized and hydrated. Its about +40points to environment. This is hudge growing bonus. Especially for weed(Tier 0). After i report that bug i try left more empty cropstick to be sure... with that same scenario... All weed field reach full growth size(5) after few minutes. and another halfhour nothing happened.

Chocohead

2015-06-01 19:49

developer   ~0003890

The statGrowth is the plant's base growth stat, the environment is unlikely to have that big an effect if it's a standard random weed.

psusi

2015-06-28 22:51

reporter   ~0003929

I too have noticed lately that weeds are not taking over other crops.

MauveCloud

2015-07-07 18:17

reporter   ~0003940

I think the problem is really in CropCard.class:
public boolean isWeed(ICropTile crop)
  {
    return (crop.getSize() >= 2) && ((crop == Crops.weed) || (crop.getGrowth() >= 24));
  }

The argument "crop" is an instance of ICropTile, but Crops.weed is an instance of CropCard, which does not implement the ICropTile interface.

Issue History

Date Modified Username Field Change
2015-05-29 19:18 Gorilla_CZ New Issue
2015-05-29 20:07 Gorilla_CZ Note Added: 0003884
2015-05-31 10:54 Gorilla_CZ Note Added: 0003885
2015-05-31 10:56 Gorilla_CZ Note Edited: 0003885 View Revisions
2015-05-31 15:47 Chocohead Note Added: 0003888
2015-05-31 17:56 Gorilla_CZ Note Added: 0003889
2015-06-01 07:32 Aroma1997 Status new => feedback
2015-06-01 19:49 Chocohead Note Added: 0003890
2015-06-28 22:51 psusi Note Added: 0003929
2015-07-07 18:17 MauveCloud Note Added: 0003940
2015-07-20 18:43 Aroma1997 Status feedback => resolved
2015-07-20 18:43 Aroma1997 Fixed in Version => Builds for MC 1.7.10
2015-07-20 18:43 Aroma1997 Resolution open => fixed
2015-07-20 18:43 Aroma1997 Assigned To => Aroma1997